Module java.desktop
Package javax.print.event

# Class PrintServiceAttributeEvent

java.lang.Object
java.util.EventObject
javax.print.event.PrintEvent
javax.print.event.PrintServiceAttributeEvent

All Implemented Interfaces:
  `Serializable`

public class PrintServiceAttributeEvent extends PrintEvent
Class `PrintServiceAttributeEvent` encapsulates an event a Print Service instance reports to let the client know of changes in the print service state.

See Also:
  - Serialized Form

## Field Summary

### Fields declared in class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`PrintServiceAttributeEvent(PrintService source, PrintServiceAttributeSet attributes)`
Constructs a `PrintServiceAttributeEvent` object.

## Method Summary

Modifier and Type
Method
Description
`PrintServiceAttributeSet`
`getAttributes()`
Determine the printing service attributes that changed and their new values.
`PrintService`
`getPrintService()`
Returns the print service.

### Methods declared in class javax.print.event.PrintEvent

`toString`

### Methods declared in class java.util.EventObject

`getSource`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PrintServiceAttributeEvent

public PrintServiceAttributeEvent(PrintService source, PrintServiceAttributeSet attributes)
Constructs a `PrintServiceAttributeEvent` object.

Parameters:
  `source` - the print job generating this event
  `attributes` - the attribute changes being reported
Throws:
  `IllegalArgumentException` - if `source` is `null`

## Method Details

### getPrintService

public PrintService getPrintService()
Returns the print service.

Returns:
  `PrintService` object

### getAttributes

public PrintServiceAttributeSet getAttributes()
Determine the printing service attributes that changed and their new values.

Returns:
  attributes containing the new values for the service attributes that changed. The returned set may be unmodifiable.